Bug 1446005 - Review Request: tikzit - Diagram editor for pgf/TikZ
Summary: Review Request: tikzit - Diagram editor for pgf/TikZ
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-27 00:17 UTC by W. Michael Petullo
Modified: 2019-02-19 06:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-02-18 00:32:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description W. Michael Petullo 2017-04-27 00:17:08 UTC
Spec URL: https://www.flyn.org/SRPMS/tikzit.spec
SRPM URL: https://www.flyn.org/SRPMS/tikzit-1.0-1.fc25.src.rpm
Description:
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: mikep

Comment 1 W. Michael Petullo 2017-04-27 00:22:10 UTC
This should revive #1160475 (that bug should be set as a duplicate of this one, according to the document at http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews). I added a dependency on poppler-glib-devel, and I set OJBCFLAGS so that it is compatible with the security flags provided to GCC in new versions of Fedora.

Comment 2 Antonio Trande 2017-05-15 11:20:17 UTC
+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether make supports nested variables... (cached) yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating share/Makefile
checking for x86_64-redhat-linux-gnu-gcc... no
checking for x86_64-redhat-linux-gnu-clang... no
checking for x86_64-redhat-linux-gnu-objc... no
checking for x86_64-redhat-linux-gnu-objcc... no
checking for gcc... gcc
checking whether the Objective C compiler works... yes
checking for Objective C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU Objective C compiler... yes
checking whether gcc accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking for flex... no
checking for lex... no
checking for bison... no
checking for byacc... no
./configure: line 5095: gnustep-config: command not found
configure: error: GNUstep not found
error: Bad exit status from /var/tmp/rpm-tmp.Vk5sMo (%build)
RPM build errors:

Comment 3 W. Michael Petullo 2017-05-24 22:43:47 UTC
Strange. On my Fedora 25 computer gnustep-config's gnustep-make package is required by gnustep-base-devel which is in turn a BuildRequires. The package also builds for me in mock for Fedora 25.

Any idea what is different for you?

Comment 4 Antonio Trande 2017-05-25 16:28:22 UTC
(In reply to W. Michael Petullo from comment #3)
> Strange. On my Fedora 25 computer gnustep-config's gnustep-make package is
> required by gnustep-base-devel which is in turn a BuildRequires. The package
> also builds for me in mock for Fedora 25.
> 
> Any idea what is different for you?

From scratch build, 'gnustep-make' is not downloaded for building: https://kojipkgs.fedoraproject.org//work/tasks/6251/19726251/root.log

Comment 5 W. Michael Petullo 2017-05-25 20:31:10 UTC
Okay, it appears that the dependencies in Rawhide changed. I updated the build dependencies. Same URLs, different packages:

Spec URL: https://www.flyn.org/SRPMS/tikzit.spec
SRPM URL: https://www.flyn.org/SRPMS/tikzit-1.0-1.fc25.src.rpm
Description:
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: mikep

Comment 6 Antonio Trande 2017-05-27 16:21:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/icons/hicolor/128x128/apps/tikzit.png
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

  Remove one line: %{_datadir}/icons/hicolor/*/apps/%{name}.png

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

- Make Make's output more verbose, use V=1

- Code involved is released under GPLv3+ and GPLv2+ licenses.
  The resultant license for this package is 'GPLv3+'.

- /usr/share/tikzit is not owned

- Use %license macro for COPYING file

- [?]: Latest version is packaged.
  You are packaging the release 1.0; however, already exists the 1.1 for OSX.
  Are you sure this software supports no-OSX systems?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or later)",
     "Unknown or generated", "MIT/X11 (BSD like)", "GPL (v2 or later) (with
     incorrect FSF address)". 54 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1446005-tikzit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/tikzit
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/tikzit
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in tikzit
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tikzit-
     debuginfo
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tikzit-1.0-1.fc27.x86_64.rpm
          tikzit-debuginfo-1.0-1.fc27.x86_64.rpm
          tikzit-1.0-1.fc27.src.rpm
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: only-non-binary-in-usr-lib
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: no-manual-page-for-binary tikzit
tikzit.src: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.src: W: spelling-error %description -l en_US observables -> observable, observable s, observably
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tikzit-debuginfo-1.0-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: only-non-binary-in-usr-lib
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: no-manual-page-for-binary tikzit
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
tikzit (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnustep-base.so.1.25()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libobjc.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpoppler-glib.so.8()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

tikzit-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
tikzit:
    application()
    application(tikzit.desktop)
    tikzit
    tikzit(x86-64)

tikzit-debuginfo:
    tikzit-debuginfo
    tikzit-debuginfo(x86-64)



Source checksums
----------------
http://downloads.sf.net/tikzit/tikzit-1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : ccd1cc689927428074e2f029d88bd70da28a8426f4a920e43efe38a03a206f1d
  CHECKSUM(SHA256) upstream package : ccd1cc689927428074e2f029d88bd70da28a8426f4a920e43efe38a03a206f1d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1446005
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 W. Michael Petullo 2017-06-09 19:38:39 UTC
Update to address comment #6:

Spec URL: https://www.flyn.org/SRPMS/tikzit.spec
SRPM URL: https://www.flyn.org/SRPMS/tikzit-1.0-1.fc25.src.rpm
Description:
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: mikep

Comment 8 Antonio Trande 2017-06-11 10:16:08 UTC
- About that?

> 
> - [?]: Latest version is packaged.
>   You are packaging the release 1.0; however, already exists the 1.1 for OSX.
>   Are you sure this software supports no-OSX systems?
> 

- You should consider to including an appdata file.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or later)",
     "Unknown or generated", "MIT/X11 (BSD like)", "GPL (v2 or later) (with
     incorrect FSF address)". 54 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1446005-tikzit/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in tikzit
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tikzit-
     debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tikzit-1.0-1.fc27.x86_64.rpm
          tikzit-debuginfo-1.0-1.fc27.x86_64.rpm
          tikzit-1.0-1.fc27.src.rpm
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: only-non-binary-in-usr-lib
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: no-manual-page-for-binary tikzit
tikzit.src: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.src: W: spelling-error %description -l en_US observables -> observable, observable s, observably
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tikzit-debuginfo-1.0-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: only-non-binary-in-usr-lib
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
tikzit.x86_64: W: no-manual-page-for-binary tikzit
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
tikzit (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnustep-base.so.1.25()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libobjc.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpoppler-glib.so.8()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

tikzit-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
tikzit:
    application()
    application(tikzit.desktop)
    tikzit
    tikzit(x86-64)

tikzit-debuginfo:
    tikzit-debuginfo
    tikzit-debuginfo(x86-64)



Source checksums
----------------
http://downloads.sf.net/tikzit/tikzit-1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : ccd1cc689927428074e2f029d88bd70da28a8426f4a920e43efe38a03a206f1d
  CHECKSUM(SHA256) upstream package : ccd1cc689927428074e2f029d88bd70da28a8426f4a920e43efe38a03a206f1d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1446005
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Antonio Trande 2017-07-20 10:39:35 UTC
?

Comment 10 W. Michael Petullo 2018-12-07 01:28:31 UTC
Some time later, 2.0 was released:

Spec URL: https://www.flyn.org/SRPMS/tikzit.spec
SRPM URL: https://www.flyn.org/SRPMS/tikzit-2.0-1.fc29.src.rpm
Description:
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: mikep

Comment 11 Robert-André Mauchin 2018-12-07 15:30:44 UTC
 - Group: is not used in Fedora

 - qmake-qt5 → %qmake_qt5

 - make %{?_smp_mflags} CFLAGS="%{optflags}" V=1 → %make_build V=1

 - make install INSTALL_ROOT="%{buildroot}" → %make_install

 - Not needed anymore:

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

 - Requires hicolor-icon-theme to own the icon directories

 - Source:         https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz → Source:         https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

 - Use PREFIX==%{_prefix} instead

# FIXME: Avoid this with proper use of qmake.
mv %{buildroot}/usr/local/* %{buildroot}/usr
rmdir %{buildroot}/usr/local/

Comment 12 W. Michael Petullo 2019-01-02 23:22:22 UTC
Addresses comment #11:

Spec URL: https://www.flyn.org/SRPMS/tikzit.spec
SRPM URL: https://www.flyn.org/SRPMS/tikzit-2.0-1.fc29.src.rpm
Description:
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: mikep

Comment 13 Robert-André Mauchin 2019-02-16 00:19:07 UTC
 - Use PREFIX=%{_prefix} not /usr


 - Add gcc-c++ as a  BR:

  If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

 - Fix the line encoding:

W: wrong-file-end-of-line-encoding /usr/share/doc/tikzit/README.md

See https://fedoraproject.org/wiki/Packaging_tricks#Remove_DOS_line_endings

 - Not ok and not needed:

%global debug_package %{nil}


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "*No copyright* GPL (v3)", "Unknown or
     generated", "GPL (v3 or later)". 60 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/tikzit
     /review-tikzit/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/icons/hicolor/1024x1024/apps,
     /usr/share/icons/hicolor/1024x1024
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tikzit-2.0-1.fc30.x86_64.rpm
          tikzit-2.0-1.fc30.src.rpm
tikzit.x86_64: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.x86_64: W: spelling-error %description -l en_US observables -> observable, observable s, observably
tikzit.x86_64: W: unstripped-binary-or-object /usr/bin/tikzit
tikzit.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/tikzit/README.md
tikzit.x86_64: W: no-manual-page-for-binary tikzit
tikzit.src: W: spelling-error Summary(en_US) pgf -> pg, pf, pg f
tikzit.src: W: spelling-error %description -l en_US observables -> observable, observable s, observably
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 14 W. Michael Petullo 2019-02-17 15:18:54 UTC
Addresses comment #13:

Spec URL: https://www.flyn.org/SRPMS/tikzit.spec
SRPM URL: https://www.flyn.org/SRPMS/tikzit-2.0-1.fc29.src.rpm
Description:
TikZiT is a graphical tool for rapidly creating an editing node-and-edge
style graphs. It was originally created to aid in the typesetting of
"dot" diagrams of interacting quantum observables, but can be used as a
general graph editing program.
Fedora Account System Username: mikep

Comment 15 Robert-André Mauchin 2019-02-17 17:04:21 UTC
All ok, package approved.

Comment 16 Igor Gnatenko 2019-02-18 00:03:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/tikzit

Comment 17 Fedora Update System 2019-02-18 00:59:47 UTC
tikzit-2.1.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff2758de15

Comment 18 Fedora Update System 2019-02-19 06:27:11 UTC
tikzit-2.1.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff2758de15


Note You need to log in before you can comment on or make changes to this bug.